
Colony Scout - Task #1827

Create ROS Node: AVR Bridge

10/13/2011 06:06 PM - Ben Wasserman

Status: Fixed Start date: 10/13/2011

Priority: Low Due date: 10/24/2011

Assignee: Thomas Mullins % Done: 100%

Category: OS Estimated time: 5.00 hours

Target version:    

Description

Create the ROS node for the avr bridge. The git repo can be found: git clone ssh://roboclub.org/home/svn/scoutos. The node

diagram can be found at https://www.roboticsclub.org/redmine/attachments/522/rosNodes2.pdf.

History

#1 - 10/23/2011 02:42 AM - Priyanka Deo

- Due date set to 10/24/2011

#2 - 10/24/2011 02:47 AM - Abraham Levkoy

- % Done changed from 0 to 50

- Estimated time set to 5.00 h

I think getting rosserial working on the ARM side is as simple as running the rosserial_python ROS node. As such, there is no node creation for me to

do on the ARM side. That said, I don't have access to a computer with ROS right now, so I can't observe this. It looks like some work will be

necessary on the AVR side. rosserial acts as the main program for the AVR, and you create the C++ for the individual ROS nodes as functions in that

program.

The only full rosserial micro-controller client is for Arduino, so we will need to port that to our AVR micro-controller. It looks like this is as simple as

editing a header file and creating one class for low-level serial communication.

#3 - 03/28/2012 08:52 PM - Abraham Levkoy

- Assignee changed from Abraham Levkoy to Thomas Mullins

#4 - 03/28/2012 11:07 PM - Thomas Mullins

- % Done changed from 50 to 70

AVR side has been written but not yet tested. ARM side is indeed handled entirely by rosserial, so nothing needs to be done there.

#5 - 04/03/2012 04:16 PM - Thomas Mullins

- Status changed from Assigned to Fixed

- % Done changed from 70 to 100

Tested, fixed, seems to work :)

Also, there's now a launch file for ARM side, under scout_avr/launch.
